org.apache.poi.xssf.usermodel

## Class XSSFDialogsheet

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xssf.usermodel.XSSFSheet
    - - org.apache.poi.xssf.usermodel.XSSFDialogsheet

- All Implemented Interfaces:
    java.lang.Iterable<Row>, Sheet

      public class XSSFDialogsheet
      extends XSSFSheet
      implements Sheet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDialogsheet` | `dialogsheet`

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.XSSFSheet

      `sheet, TWIPS_PER_POINT, worksheet`

    - ### Fields inherited from interface org.apache.poi.ss.usermodel.Sheet

      `BottomMargin, FooterMargin, HeaderMargin, LeftMargin, PANE_LOWER_LEFT, PANE_LOWER_RIGHT, PANE_UPPER_LEFT, PANE_UPPER_RIGHT, RightMargin, TopMargin`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFDialogsheet(XSSFSheet sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSSFRow` | `createRow(int rowNum)` Create a new row within the sheet and return the high level representation Note: If a row already exists at this position, it is removed/overwritten and any existing cell is removed!
    `boolean` | `getDialog()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak` | `getSheetTypeColumnBreaks()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter` | `getSheetTypeHeaderFooter()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageMargins` | `getSheetTypePageMargins()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPrintOptions` | `getSheetTypePrintOptions()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetProtection` | `getSheetTypeProtection()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak` | `getSheetTypeRowBreaks()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetFormatPr` | `getSheetTypeSheetFormatPr()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetPr` | `getSheetTypeSheetPr()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetViews` | `getSheetTypeSheetViews()`

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSheet

      `addHyperlink, addIgnoredErrors, addIgnoredErrors, addMergedRegion, addMergedRegionUnsafe, addValidationData, autoSizeColumn, autoSizeColumn, commit, copyRows, copyRows, createDrawingPatriarch, createFreezePane, createFreezePane, createPivotTable, createPivotTable, createPivotTable, createPivotTable, createPivotTable, createSplitPane, createTable, createTable, disableLocking, enableLocking, findEndOfRowOutlineGroup, getActiveCell, getAutobreaks, getCellComment, getCellComments, getColumnBreaks, getColumnHelper, getColumnOutlineLevel, getColumnStyle, getColumnWidth, getColumnWidthInPixels, getCommentsTable, getCTDrawing, getCTLegacyDrawing, getCTWorksheet, getDataValidationHelper, getDataValidations, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getDrawingPatriarch, getEvenFooter, getEvenHeader, getFirstFooter, getFirstHeader, getFirstRowNum, getFitToPage, getFooter, getForceFormulaRecalculation, getHeader, getHeaderFooterProperties, getHorizontallyCenter, getHyperlink, getHyperlink, getHyperlinkList, getIgnoredErrors, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getMergedRegions, getNumberOfComments, getNumHyperlinks, getNumMergedRegions, getOddFooter, getOddHeader, getPaneInformation, getPhysicalNumberOfRows, getPivotTables, getPrintSetup, getProtect, getRepeatingColumns, getRepeatingRows, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSharedFormula, getSheetConditionalFormatting, getSheetName, getSheetTypeSheetViews, getTabColor, getTables, getTopRow, getVerticallyCenter, getVMLDrawing, getWorkbook, groupColumn, groupRow, hasComments, isAutoFilterLocked, isColumnBroken, isColumnHidden, isDeleteColumnsLocked, isDeleteRowsLocked, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isFormatCellsLocked, isFormatColumnsLocked, isFormatRowsLocked, isInsertColumnsLocked, isInsertHyperlinksLocked, isInsertRowsLocked, isObjectsLocked, isPivotTablesLocked, isPrintGridlines, isPrintRowAndColumnHeadings, isRightToLeft, isRowBroken, isScenariosLocked, isSelected, isSelectLockedCellsLocked, isSelectUnlockedCellsLocked, isSheetLocked, isSortLocked, iterator, lockAutoFilter, lockDeleteColumns, lockDeleteRows, lockFormatCells, lockFormatColumns, lockFormatRows, lockInsertColumns, lockInsertHyperlinks, lockInsertRows, lockObjects, lockPivotTables, lockScenarios, lockSelectLockedCells, lockSelectUnlockedCells, lockSort, onDeleteFormula, onDocumentCreate, onDocumentRead, onSheetDelete, protectSheet, read, readOleObject, removeArrayFormula, removeColumnBreak, removeHyperlink, removeMergedRegion, removeMergedRegions, removeRow, removeRowBreak, removeTable, rowIterator, setActiveCell, setArrayFormula, setAutobreaks, setAutoFilter, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setForceFormulaRecalculation, setHorizontallyCenter, setMargin, setPrintGridlines, setPrintRowAndColumnHeadings, setRepeatingColumns, setRepeatingRows, setRightToLeft, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setSheetPassword, setTabColor, setVerticallyCenter, setZoom, shiftColumns, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow, validateMergedRegions, validateSheetPassword, write`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Sheet

      `addMergedRegion, addMergedRegionUnsafe, addValidationData, autoSizeColumn, autoSizeColumn, createDrawingPatriarch, createFreezePane, createFreezePane, createSplitPane, getActiveCell, getAutobreaks, getCellComment, getCellComments, getColumnBreaks, getColumnOutlineLevel, getColumnStyle, getColumnWidth, getColumnWidthInPixels, getDataValidationHelper, getDataValidations, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getDrawingPatriarch, getFirstRowNum, getFitToPage, getFooter, getForceFormulaRecalculation, getHeader, getHorizontallyCenter, getHyperlink, getHyperlink, getHyperlinkList, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getMergedRegions, getNumMergedRegions, getPaneInformation, getPhysicalNumberOfRows, getPrintSetup, getProtect, getRepeatingColumns, getRepeatingRows, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSheetConditionalFormatting, getSheetName, getTopRow, getVerticallyCenter, getWorkbook, groupColumn, groupRow, isColumnBroken, isColumnHidden, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isPrintGridlines, isPrintRowAndColumnHeadings, isRightToLeft, isRowBroken, isSelected, protectSheet, removeArrayFormula, removeColumnBreak, removeMergedRegion, removeMergedRegions, removeRow, removeRowBreak, rowIterator, setActiveCell, setArrayFormula, setAutobreaks, setAutoFilter, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setForceFormulaRecalculation, setHorizontallyCenter, setMargin, setPrintGridlines, setPrintRowAndColumnHeadings, setRepeatingColumns, setRepeatingRows, setRightToLeft, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setVerticallyCenter, setZoom, shiftColumns, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow, validateMergedRegions`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Field Detail

    - #### dialogsheet

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDialogsheet dialogsheet

  - ### Constructor Detail

    - #### XSSFDialogsheet

          protected XSSFDialogsheet(XSSFSheet sheet)

  - ### Method Detail

    - #### createRow

          public XSSFRow createRow(int rowNum)

      Description copied from class: `XSSFSheet`
      Create a new row within the sheet and return the high level representation Note: If a row already exists at this position, it is removed/overwritten and any existing cell is removed!
      Specified by:
        `createRow` in interface `Sheet`
      Overrides:
        `createRow` in class `XSSFSheet`
      Parameters:
        `rowNum` - row number
      Returns:
        High level `XSSFRow` object representing a row in the sheet
      See Also:
        `XSSFSheet.removeRow(org.apache.poi.ss.usermodel.Row)`

    - #### getSheetTypeHeaderFooter

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter getSheetTypeHeaderFooter()

    - #### getSheetTypeSheetPr

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetPr getSheetTypeSheetPr()

    - #### getSheetTypeColumnBreaks

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak getSheetTypeColumnBreaks()

    - #### getSheetTypeSheetFormatPr

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetFormatPr getSheetTypeSheetFormatPr()

    - #### getSheetTypePageMargins

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageMargins getSheetTypePageMargins()

    - #### getSheetTypeRowBreaks

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPageBreak getSheetTypeRowBreaks()

    - #### getSheetTypeSheetViews

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetViews getSheetTypeSheetViews()

    - #### getSheetTypePrintOptions

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPrintOptions getSheetTypePrintOptions()

    - #### getSheetTypeProtection

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSheetProtection getSheetTypeProtection()

    - #### getDialog

          public boolean getDialog()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.